<?php
session_start();

    include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session



  $conexion=conecta_default();



   $id_dist =$_POST['dist'];
$tipo =$_POST['tipons'];
   $id_venta =$_POST['pedido'];

 
  echo "<br><center>Informacion del Pedido # $id_venta<br>"; 

  

  

   $qa = "SELECT idprom,`nombre`,`appat`,`apmat`, rfc FROM `inversionista` WHERE id_inver = '".$id_dist."'";



   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   while($ra = mysqli_fetch_row($ca))

   {

	   $promotor = $ra[0];

	   $nom = $ra[1];

	   $app= $ra[2];

	   $apm = $ra[3];

	   $rfc = $ra[4];

	};

	$qa1 = "SELECT `nombre`,`appat`,`apmat` FROM `inversionista` WHERE id_inver = '".$promotor."'";



   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   while($ra1 = mysqli_fetch_row($ca1))

   {

	   $nomp = $ra1[0];

	   $appp= $ra1[1];

	   $apmp = $ra1[2];

	};

	

	echo"<br><b>Nombre:</b> $nom $app $apm<br><b>RFC:</b> $rfc<br>

	<b>Nombre Promotor:</b> $nomp $appp $apmp<br><br><br>";
	
	if($tipo==10 || $tipo>=13){

	$qa2 = "SELECT cant, nombreProd  FROM pedido join productos on (pedido.productos_idprod=productos.id_prod) WHERE  transacciones_idtransacciones= 

	".$id_venta."";

echo"Descripcion de Productos<br><br><table>";

   $ca2 = mysqli_query($conexion, $qa2) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   while($ra2 = mysqli_fetch_row($ca2))

   {

   echo"<tr>

	   <td>".$ra2[0]."</td>

	   <td>-</td>

	   <td>".$ra2[1]."</td>

	   </tr>

	   ";

	};

	

	 //$status="";

	echo"</table></center>";

	}

if($tipo==11){
 $qd = "SELECT asignar, id_prod,  nombreProd, precio, puntos, cant FROM nsalida join productos on (productos.id_prod=nsalida.productos_idprod) where transacciones_idtransacciones=".$id_venta."";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	 

	   echo "<form name=\"Selec_Prod_Pedido\" action=\"pagarns2.php\" method=\"post\">
			
			
			Nota de Salida<br><br>
			<TABLE Border=1 CellPadding=5>
			<TR>";
				echo "
				<th>Cantidad</th>
				<th>Nombre</th>
				<th>Precio</th>
				<th>Puntos</th>
				<th>Por Asignar</th>
			</TR>";
			
			$i = 0;
			while($renglon = mysqli_fetch_row($cd))
			{
				echo"<tr>";
				echo "<td align=\"center\">".$renglon[5]."</td>";
				echo "<td>".$renglon[2]."</td>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[0]."</td>";
				
			
			
			
								$i++;
				echo"</tr>";}
					
			echo "</table><br><font size=\"+1\"><b>Asignaciones</b></font>"; 	
			
			
	 $qd1 = "select transacciones.idtransacciones, nombre, appat, apmat, observaciones, fechat from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver where nsalida=".$id_venta."";

	  $cd1 = mysqli_query($conexion, $qd1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	 

	   echo "
			
			
			
			<TABLE Border=1 CellPadding=5>
			<TR>";
				echo "
				<th>Pedido</th>
				<th>Nombre</th>
				<th>Cantidad</th>
				<th>Fecha</th>
			</TR>";
			
		
			while($renglon = mysqli_fetch_row($cd1))
			{
				echo"<tr>";
				echo "<td>".$renglon[0]."</td>";
				echo "<td>".$renglon[1]." ".$renglon[2]." ".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[5]."</td>";
				
			
			
			
							
				echo"</tr>";}
					
			echo "</table><br>"; 	
	
}

   

   

   

?>



